Subject: New draft of DLSw MIB

From: "Peter W. Gayek" <[email-masked]>
Date: Fri, 30 Jun 95 18:45:49 EDT

I've been helping Dave Chen out with editing the DLSw MIB, and have
just posted a revised draft of this document as:
  /pub/standards/aiw/dlsw/mib/draft-ietf-dlswmib-mib-05.txt
at the node:
  networking.raleigh.ibm.com
It's available for anonymous FTP, as usual.  I don't know how to post
it to an internet drafts directory but would be glad to do so next week
if someone would like to point the way.

The following list of changes for this revision comes from the MIB
itself.  I tried to include all the corrections anyone posted to this
list since AIW7, in addition to all the changes from the AIW meeting
itself.  For some of the open questions from the AIW, Dave and I took
a stab at a resolution in an effort to help move the work along.  I
think I captured all these in my list.  Of course these items are
open to further discussion and decision-making, but we thought it might
help to get a few concrete things in the MIB.

Note that change #4 below was an outgrowth of my going through and
trying to clarify a number of the descriptions.  Once I clarified what
the initial window sizes from the circuit table meant, it no longer
made sense for them to be where they were.  Feel free to object to
this change or any description change if you disagree.  I believe
that change #4 was the only liberty I took that wasn't directly related
to a discussion at the AIW.

Please post here any changes, corrections, or comments.
Thanks,
Peter Gayek

----------------------------- attachment ----------------------------

06/30/95 (version 0.5)

1.  Changes adopted by the AIW DLSw MIB RIGLET / IETF DLSw MIB Working
    Group during AIW 7 (May 1-3, 1995) in San Jose.  Major changes
    include:
    o   Added QLLC as a DLC type.
    o   Fixed up DEFVALs for LF size objects and SAP list objects.
        Expanded range for all pacing objects.
    o   Moved all pacing objects (global and TC-level) to the circuit
        table.
    o   Introduced TCP-specific TConnConfig and TConnOper tables, moved
        some objects there from existing tables.
    o   Removed mask concept from TConnConfig, added ability to exclude
        specified partners.
    o   Changed rule about backward reference from TConnOper to
        TConnConfig.
    o   Reworked disconnect reason codes for TCs and Circuits.
    o   For MAC address and NB name cache, allowed local configured
        entries not to be advertised in capabilities exchange.
    o   Added object for remote circuit disconnect reason
2.  Numerous editorial improvements and clarifications to descriptions.
    Some are marked with to-be-deleted comments to make sure everyone is
    ok with the change.
3.  Added group reference to TConnConfig as an escape for those who
    would like to do masks or some other vendor-specific grouping
    scheme.  This adds no complexity for those who do not want a group
    concept.
4.  Deleted Initial window objects from the circuit table, and added
    only the send window back to TConnOper as saved from capabilities
    exchange.  Also added TCP connections from capability exchange.
5.  Removed the directory search function.  We can add it back if
    someone feels it should be in the standard MIB.
6.  Assigned numbers and corrected dozens of small errors to get it to
    compile successfully (I left 1 warning) using smicng.